Loading...
Searching...
No Matches
vector.h File Reference

Vector class. More...

`#include <algorithm>`
`#include <array>`
`#include <cmath>`
`#include <functional>`
`#include <numeric>`
`#include <optional>`
`#include <ostream>`
`#include <type_traits>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/span.h>`
`#include "libcamera/internal/matrix.h"`
`#include "libcamera/internal/yaml_parser.h"`
Include dependency graph for vector.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Vector< T, Rows >
| Vector class. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Typedefs

template<typename T>
using | libcamera::RGB = Vector<T, 3>
| A Vector of 3 elements representing an RGB pixel value.

## Functions

template<typename T, typename U, unsigned int Rows, unsigned int Cols>
Vector< std::common_type_t< T, U >, Rows > | libcamera::operator* (const Matrix< T, Rows, Cols > &m, const Vector< U, Cols > &v)
| Multiply a matrix by a vector.
template<typename T, unsigned int Rows>
bool | libcamera::operator== (const Vector< T, Rows > &lhs, const Vector< T, Rows > &rhs)
| Compare vectors for equality.
template<typename T, unsigned int Rows>
bool | libcamera::operator!= (const Vector< T, Rows > &lhs, const Vector< T, Rows > &rhs)
| Compare vectors for inequality.

## Detailed Description

Vector class.